import { select, arc } from 'd3';

const svg = select('svg');

const circle = svg.append('circle')
  .attr('r',250)
	.attr('cx',960/2)
	.attr('cy',250)
	.attr('fill','yellow')
	.attr('stroke','black')


const leftEye = svg.append('circle')
  .attr('r',25)
	.attr('cx',960/2+90)
	.attr('cy',200)
	.attr('fill','black')
	.attr('stroke','black')
const rightEye = svg.append('circle')
  .attr('r',25)
	.attr('cx',960/2-90)
	.attr('cy',200)
	.attr('fill','black')
	.attr('stroke','black');

const lefteyebrow= svg.append('rect')
   .attr('width',60)
   .attr('height',15)
   .attr( 'x', 960/2+60)
   .attr( 'y', 140);

const righteyebrow= svg.append('rect')
   .attr('width',60)
   .attr('height',15)
   .attr( 'x', 960/2-120)
   .attr( 'y', 140)
   .transition().duration(2000)
     .attr('y',110)
  .transition().duration(2000)
     .attr('y',140);

const g =svg.append('g')
.attr('transform','translate(480,280)');
const mouth = g.append('path')
	.attr('d', arc()({
  	innerRadius:150,
    outerRadius:170,
    startAngle:Math.PI/2,
    endAngle:Math.PI * 3/2
  }));